import time, sys
from rgbmatrix import RGBMatrix, RGBMatrixOptions
from PIL import Image, ImageDraw, ImageFont

options = RGBMatrixOptions()
options.rows = 64
options.cols = 64
options.parallel = 1
options.gpio_slowdown = 3
options.drop_privileges=False

panelImageFileName = "panel.jpg"
panelInterval = 5
imageWidth = 64
imageHeight = 64

font1 = ImageFont.truetype("pixelmix_bold.ttf", 8)
font2 = ImageFont.truetype("pixelmix.ttf", 8)

def makeFirstPanelImage():
    image = Image.new("RGB", (imageWidth, imageHeight), (0, 0, 0))
    draw = ImageDraw.Draw(image)
    draw.text((0, 0), "XDay", fill=(255, 0, 0), font=font2)
    draw.text((8, 8), "29-07-22", fill=(255, 0, 0), font=font2)
    draw.text((0, 24), "Remaining", fill=(255, 255, 0), font=font2)
    draw.text((8, 32), "6 Y 146 D", fill=(255, 255, 0), font=font2)
    draw.text((0, 48), "Renewables", fill=(0, 0, 255), font=font2)
    draw.text((8, 56), "13 %", fill=(0, 0, 255), font=font2)
    image.save(panelImageFileName)
    return image

def makeSecondPanelImage():
    image = Image.new("RGB", (imageWidth, imageHeight), (0, 0, 0))
    draw = ImageDraw.Draw(image)
    draw.text((0, 0), "US Tot CO2", fill=(255, 255, 255), font=font2)
    draw.text((0, 24), "US Res CO2", fill=(255, 255, 255), font=font2)
    draw.text((0, 48), "MA Tot CO2", fill=(255, 255, 255), font=font2)
    image.save(panelImageFileName)
    return image
    
matrix = RGBMatrix(options = options)

while True:
    try:
        matrix.SetImage( makeFirstPanelImage() )
        time.sleep(panelInterval)
        matrix.SetImage( makeSecondPanelImage() )
        time.sleep(panelInterval)
    except KeyboardInterrupt:
        break
